## QmiClientWds

QmiClientWds — QmiClient for the WDS service.

## Signals

void | event-report | Run Last
void | packet-service-status | Run Last

## Types and Values

struct | QmiClientWds

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientWds

## Description

QmiClient which handles operations in the WDS service.

## Functions

## Types and Values

### struct QmiClientWds

    struct QmiClientWds;

The QmiClientWds structure contains private data and should only be accessed using the provided API.

Since: 1.0

## Signal Details

### The `“event-report”` signal

    void
    user_function (QmiClientWds                      *object,
                   QmiIndicationWdsEventReportOutput *output,
                   gpointer                           user_data)

The ::event-report signal gets emitted when a 'Event Report' indication is received.

#### Parameters

object | A QmiClientWds. |
output | A QmiIndicationWdsEventReportOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.18

### The `“packet-service-status”` signal

    void
    user_function (QmiClientWds                              *object,
                   QmiIndicationWdsPacketServiceStatusOutput *output,
                   gpointer                                   user_data)

The ::packet-service-status signal gets emitted when a 'Packet Service Status' indication is received.

#### Parameters

object | A QmiClientWds. |
output | A QmiIndicationWdsPacketServiceStatusOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.14